Completions
GET/organization/usage/completions
Get completions usage details for the organization.
Query Parameters
start_time: number
Start time (Unix seconds) of the query time range, inclusive.
api_key_ids: optional array of string
Return only usage for these API keys.
batch: optional boolean
If true, return batch jobs only. If false, return non-batch jobs only. By default, return both.
end_time: optional number
End time (Unix seconds) of the query time range, exclusive.
limit: optional number
Specifies the number of buckets to return.
bucket_width=1d: default: 7, max: 31bucket_width=1h: default: 24, max: 168bucket_width=1m: default: 60, max: 1440
models: optional array of string
Return only usage for these models.
page: optional string
A cursor for use in pagination. Corresponding to the next_page field from the previous response.
project_ids: optional array of string
Return only usage for these projects.
user_ids: optional array of string
Return only usage for these users.
Returns
has_more: boolean
next_page: string
object: "page"
Completions
curl "https://api.openai.com/v1/organization/usage/completions?start_time=1730419200&limit=1" \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json"
{
"object": "page",
"data": [
{
"object": "bucket",
"start_time": 1730419200,
"end_time": 1730505600,
"results": [
{
"object": "organization.usage.completions.result",
"input_tokens": 1000,
"output_tokens": 500,
"input_cached_tokens": 800,
"input_audio_tokens": 0,
"output_audio_tokens": 0,
"num_model_requests": 5,
"project_id": null,
"user_id": null,
"api_key_id": null,
"model": null,
"batch": null,
"service_tier": null
}
]
}
],
"has_more": true,
"next_page": "page_AAAAAGdGxdEiJdKOAAAAAGcqsYA="
}
Returns Examples
{
"object": "page",
"data": [
{
"object": "bucket",
"start_time": 1730419200,
"end_time": 1730505600,
"results": [
{
"object": "organization.usage.completions.result",
"input_tokens": 1000,
"output_tokens": 500,
"input_cached_tokens": 800,
"input_audio_tokens": 0,
"output_audio_tokens": 0,
"num_model_requests": 5,
"project_id": null,
"user_id": null,
"api_key_id": null,
"model": null,
"batch": null,
"service_tier": null
}
]
}
],
"has_more": true,
"next_page": "page_AAAAAGdGxdEiJdKOAAAAAGcqsYA="
}